# Get all schemas
Source: https://docs.file.ai/api-reference/schemas-file-types/get-all-schemas

> This endpoint is used to get all schemas.

get /prod/v1/schemas

This endpoint is used to get all schemas.

The response will contain a list of all schemas that are available for the current user in the current workspace.

Pass the `cursor` query parameter (empty for the first page) to use cursor pagination: the response envelope becomes `{ data, pagination: { limit, nextCursor, hasMore } }`. Follow `nextCursor` until `hasMore` is false; keep the same sort and filter parameters for every page of a walk.

The `schemas` field is an array of schemas. Each schema contains the following fields:

- `id`: The ID of the schema. This is the unique identifier for the schema.

- `fields`: An array of fields. Each field contains the following fields:

  - `id`: The ID of the field. This is the unique identifier for the field.

- `blueprintId`: The ID of the blueprint that the schema is associated with.

- `originalSchemaId`: The ID of the original schema that the schema is based on.

- `schemaHistoryId`: The ID of the schema history that the schema is associated with.

- `schemaHistoryVersionNumber`: The version number of the schema history that the schema is associated with. This is a number that increments every time a new version of the schema is created.

- `fileId`: The ID of the file that the schema is associated with.

- `blueprintMode`: The mode of the blueprint that the schema is associated with. This is either `user` or `system`.

- `schemaType`: The type of the schema. This is either `custom` or `system`.

- `state`: The state of the schema. This is either `active` or `inactive`.

- `usageApprovalState`: The state of the usage approval of the schema. This can be either APPROVED, PENDING, or REJECTED.

- `schemaOverrideType`: The type of the schema override. This can be either OVERRIDE or DEFAULT.

- `aiSchemaVersion`: The version of the AI schema that the schema is associated with.

- `createdAt`: The date and time when the schema was created.

- `updatedAt`: The date and time when the schema was last updated.

- `deletedAt`: The date and time when the schema was deleted.

- `deletedBy`: The ID of the user who deleted the schema.
